Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.dipendentessr.vo.dipendente
Class AssegnazioneServizioDipendente

    java.lang.Object
      it.svimservice.nsisr.web.ws.dipendentessr.vo.dipendente.AssegnazioneServizioDipendente

    public class AssegnazioneServizioDipendente

extends java.lang.Object

Dati relativi all'assegnazione servizio

Field Summary
`private java.lang.String` | `codRegStruttOrganizzativa` Codice regionale con la quale la Struttura Organizzativa è stata registrata in Edotto.
`private java.lang.String` | `codRegUnitaOperativa` Codice regionale con la quale l’Unità Operativa è stata registrata in Edotto.
`private java.lang.String` | `codRegUnitaOperativaAppartenenza` Codice regionale dell’Unità Operativa da cui l’unità in oggetto dipende.
`private java.lang.String` | `codTipologiaStruttura` Codice identificativo della tipologia di struttura organizzativa presso cui il dipendente presta servizio .
`private java.lang.String` | `codUnitaOperativa` Codice della Tipologia di Unità Operativa presso cui il dipendente presta servizio.
`private java.lang.String` | `descRegStruttOrganizzativa` Descrizione della struttura organizzativa registrata in Edotto.
`private java.lang.String` | `descRegUnitaOperativa` Descrizione regionale con la quale l'unità operativa è stata registrata in Edotto.
`private java.lang.String` | `descRegUnitaOperativaAppartenenza` Descrizione dell’Unità Operativa da cui l’unità in oggetto dipende.
`private java.lang.String` | `descTipologiaStruttura` Descrizione della tipologia di struttura organizzativa
`private java.lang.String` | `descTipologiaUnitaOperativa` Descrizione della tipologia di unità operativa presso cui il dipendente presta servizio.
`private java.lang.String` | `descUnitaOperativa` Descrizione dell’unità operativa semplice/ semplice a valenza Dipartimentale/dipartimentale in cui presta servizio il dipendente.
`private java.lang.String` | `percentualeAssegnazione` Percentuale di assegnazione del dipendente alla sede di servizio.

Constructor Summary
`AssegnazioneServizioDipendente()`

Method Summary
`java.lang.String` | `getCodRegStruttOrganizzativa()`
`java.lang.String` | `getCodRegUnitaOperativa()`
`java.lang.String` | `getCodRegUnitaOperativaAppartenenza()`
`java.lang.String` | `getCodTipologiaStruttura()`
`java.lang.String` | `getCodUnitaOperativa()`
`java.lang.String` | `getDescRegStruttOrganizzativa()`
`java.lang.String` | `getDescRegUnitaOperativa()`
`java.lang.String` | `getDescRegUnitaOperativaAppartenenza()`
`java.lang.String` | `getDescTipologiaStruttura()`
`java.lang.String` | `getDescTipologiaUnitaOperativa()`
`java.lang.String` | `getDescUnitaOperativa()`
`java.lang.String` | `getPercentualeAssegnazione()`
`void` | `setCodRegStruttOrganizzativa(java.lang.String codRegStruttOrganizzativa)`
`void` | `setCodRegUnitaOperativa(java.lang.String codRegUnitaOperativa)`
`void` | `setCodRegUnitaOperativaAppartenenza(java.lang.String codRegUnitaOperativaAppartenenza)`
`void` | `setCodTipologiaStruttura(java.lang.String codTipologiaStruttura)`
`void` | `setCodUnitaOperativa(java.lang.String codUnitaOperativa)`
`void` | `setDescRegStruttOrganizzativa(java.lang.String descRegStruttOrganizzativa)`
`void` | `setDescRegUnitaOperativa(java.lang.String descRegUnitaOperativa)`
`void` | `setDescRegUnitaOperativaAppartenenza(java.lang.String descRegUnitaOperativaAppartenenza)`
`void` | `setDescTipologiaStruttura(java.lang.String descTipologiaStruttura)`
`void` | `setDescTipologiaUnitaOperativa(java.lang.String descTipologiaUnitaOperativa)`
`void` | `setDescUnitaOperativa(java.lang.String descUnitaOperativa)`
`void` | `setPercentualeAssegnazione(java.lang.String percentualeAssegnazione)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### percentualeAssegnazione

    @Facets(pattern="[0-9]{1,3}[,]{1}[0-9]{1,2}")
    private java.lang.String percentualeAssegnazione

  Percentuale di assegnazione del dipendente alla sede di servizio.

### codTipologiaStruttura

    private java.lang.String codTipologiaStruttura

  Codice identificativo della tipologia di struttura organizzativa presso cui il dipendente presta servizio .

### descTipologiaStruttura

    private java.lang.String descTipologiaStruttura

  Descrizione della tipologia di struttura organizzativa

### codRegStruttOrganizzativa

    private java.lang.String codRegStruttOrganizzativa

  Codice regionale con la quale la Struttura Organizzativa è stata registrata in Edotto. Presente nel caso di Distretto, Istituto di Ricovero.

### descRegStruttOrganizzativa

    private java.lang.String descRegStruttOrganizzativa

  Descrizione della struttura organizzativa registrata in Edotto. Presente nel caso di Distretto, Istituto di Ricovero.

### codUnitaOperativa

    private java.lang.String codUnitaOperativa

  Codice della Tipologia di Unità Operativa presso cui il dipendente presta servizio.

### descTipologiaUnitaOperativa

    private java.lang.String descTipologiaUnitaOperativa

  Descrizione della tipologia di unità operativa presso cui il dipendente presta servizio.

### codRegUnitaOperativa

    private java.lang.String codRegUnitaOperativa

  Codice regionale con la quale l’Unità Operativa è stata registrata in Edotto.

### descRegUnitaOperativa

    private java.lang.String descRegUnitaOperativa

  Descrizione regionale con la quale l'unità operativa è stata registrata in Edotto.

### descUnitaOperativa

    private java.lang.String descUnitaOperativa

  Descrizione dell’unità operativa semplice/ semplice a valenza Dipartimentale/dipartimentale in cui presta servizio il dipendente. Il campo pụ essere presente nel caso di tipologia unità operativa SEMPLICE o SEMPLICE A VALENZA DIPARTIMENTALE o DIPARTIMENTALE.

### codRegUnitaOperativaAppartenenza

    private java.lang.String codRegUnitaOperativaAppartenenza

  Codice regionale dell’Unità Operativa da cui l’unità in oggetto dipende. Solo per tipologie A.

### descRegUnitaOperativaAppartenenza

    private java.lang.String descRegUnitaOperativaAppartenenza

  Descrizione dell’Unità Operativa da cui l’unità in oggetto dipende.

Constructor Detail

### AssegnazioneServizioDipendente

    public AssegnazioneServizioDipendente()

Method Detail

### getPercentualeAssegnazione

    public java.lang.String getPercentualeAssegnazione()

### setPercentualeAssegnazione

    public void setPercentualeAssegnazione(java.lang.String percentualeAssegnazione)

### getCodTipologiaStruttura

    public java.lang.String getCodTipologiaStruttura()

### setCodTipologiaStruttura

    public void setCodTipologiaStruttura(java.lang.String codTipologiaStruttura)

### getDescTipologiaStruttura

    public java.lang.String getDescTipologiaStruttura()

### setDescTipologiaStruttura

    public void setDescTipologiaStruttura(java.lang.String descTipologiaStruttura)

### getCodRegStruttOrganizzativa

    public java.lang.String getCodRegStruttOrganizzativa()

### setCodRegStruttOrganizzativa

    public void setCodRegStruttOrganizzativa(java.lang.String codRegStruttOrganizzativa)

### getDescRegStruttOrganizzativa

    public java.lang.String getDescRegStruttOrganizzativa()

### setDescRegStruttOrganizzativa

    public void setDescRegStruttOrganizzativa(java.lang.String descRegStruttOrganizzativa)

### getCodUnitaOperativa

    public java.lang.String getCodUnitaOperativa()

### setCodUnitaOperativa

    public void setCodUnitaOperativa(java.lang.String codUnitaOperativa)

### getDescTipologiaUnitaOperativa

    public java.lang.String getDescTipologiaUnitaOperativa()

### setDescTipologiaUnitaOperativa

    public void setDescTipologiaUnitaOperativa(java.lang.String descTipologiaUnitaOperativa)

### getCodRegUnitaOperativa

    public java.lang.String getCodRegUnitaOperativa()

### setCodRegUnitaOperativa

    public void setCodRegUnitaOperativa(java.lang.String codRegUnitaOperativa)

### getDescRegUnitaOperativa

    public java.lang.String getDescRegUnitaOperativa()

### setDescRegUnitaOperativa

    public void setDescRegUnitaOperativa(java.lang.String descRegUnitaOperativa)

### getDescUnitaOperativa

    public java.lang.String getDescUnitaOperativa()

### setDescUnitaOperativa

    public void setDescUnitaOperativa(java.lang.String descUnitaOperativa)

### getCodRegUnitaOperativaAppartenenza

    public java.lang.String getCodRegUnitaOperativaAppartenenza()

### setCodRegUnitaOperativaAppartenenza

    public void setCodRegUnitaOperativaAppartenenza(java.lang.String codRegUnitaOperativaAppartenenza)

### getDescRegUnitaOperativaAppartenenza

    public java.lang.String getDescRegUnitaOperativaAppartenenza()

### setDescRegUnitaOperativaAppartenenza

    public void setDescRegUnitaOperativaAppartenenza(java.lang.String descRegUnitaOperativaAppartenenza)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD